# Created by pyp2rpm-3.3.2
%global pypi_name more-itertools

%bcond_with docs

Name:           python-%{pypi_name}
Version:        8.12.0
Release:        %mkrel 3
Summary:        More routines for operating on iterables, beyond itertools
Group:          Development/Python
License:        MIT
URL:            https://github.com/erikrose/more-itertools
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%if %{with docs}
BuildRequires:  python3dist(sphinx)
%endif

%description
More Itertools Python's itertools library is a gem - you can compose elegant
solutions for a variety of problems with the functions it provides. In more-
itertools we collect additional building blocks, recipes, and routines for
working with Python iterables.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
More Itertools Python's itertools library is a gem - you can compose elegant
solutions for a variety of problems with the functions it provides. In more-
itertools we collect additional building blocks, recipes, and routines for
working with Python iterables.

%package -n python-%{pypi_name}-doc
Summary:        more-itertools documentation

%description -n python-%{pypi_name}-doc
Documentation for more-itertools

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%if %{with docs}
# generate html docs
PYTHONPATH=$(pwd) sphinx-build docs html

# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license docs/license.rst LICENSE
%doc README.rst
%if %{with docs}
%doc html
%endif
%{python3_sitelib}/more_itertools
%{python3_sitelib}/more_itertools-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 8.12.0-3.mga9
+ Revision: 1822235
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 8.12.0-2.mga9
+ Revision: 1772202
- rebuild for python3.10

* Thu Feb 03 2022 mrambo3501 <mrambo3501> 8.12.0-1.mga9
+ Revision: 1771247
- version 8.12.0

* Fri Mar 26 2021 ovitters <ovitters> 8.7.0-2.mga9
+ Revision: 1710682
- rebuild for Python 3.9

* Sun Mar 14 2021 wally <wally> 8.7.0-1.mga9
+ Revision: 1702565
- new version 8.7.0
- rebuild for python 3.9

* Mon Sep 14 2020 guillomovitch <guillomovitch> 8.5.0-1.mga8
+ Revision: 1626376
- new version 8.5.0

* Sun Feb 16 2020 umeabot <umeabot> 7.2.0-4.mga8
+ Revision: 1535275
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 7.2.0-3.mga8
+ Revision: 1451713
- rebuild with python 3.8

* Thu Sep 05 2019 wally <wally> 7.2.0-2.mga8
+ Revision: 1437601
- rebuild for python3.8
- disable doc build for rebuild

* Mon Aug 19 2019 wally <wally> 7.2.0-1.mga8
+ Revision: 1430342
- new version 7.2.0
- build docs

* Sat Jul 06 2019 wally <wally> 7.1.0-1.mga8
+ Revision: 1418945
- new version 7.1.0
- drop python2 support
- drop unneeded six requires

* Sat Jan 05 2019 wally <wally> 5.0.0-2.mga7
+ Revision: 1349498
- rebuild for python3.7

* Tue Jan 01 2019 wally <wally> 5.0.0-1.mga7
+ Revision: 1347963
- imported package python-more-itertools

